## Apache Zeta Components Manual :: Docs For Class ezcDocumentPdfFooterOptions

### Document::ezcDocumentPdfFooterOptions

### Class ezcDocumentPdfFooterOptions

Class containing the basic options for the ezcDocumentDocbook class

Source for this file: /Document/src/options/document_pdf_footer.php

    ezcBaseOptions
       |
       --ezcDocumentOptions
          |
          --ezcDocumentPdfFooterOptions

Version: | //autogen//

### Properties

bool | read/write | `$centerPageNumber` Render page number in the center, by default they are rendered at the outer side of the page.
bool | read/write | `$footer` Set true to be rendered as a footer, and false to be rendered as header. Default: true.
string | read/write | `$height` Height of the footer, using the common measures, default: 15mm
int | read/write | `$pageNumberOffset` Offset for page numbers, default 0
bool | read/write | `$showDocumentAuthor` Display the document author in the footer, default true
bool | read/write | `$showDocumentTitle` Display the document title in the footer, default true
bool | read/write | `$showPageNumber` Display the page number in the footer, default true

### Inherited Member Variables

From ezcDocumentOptions
protected | `ezcDocumentOptions::$properties`

### Method Summary

public ezcDocumentPdfFooterOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcDocumentPdfFooterOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3